Description: make regexp for error message more flexible
 which changed at some point between 5.34 and 5.36:
 .
 5.34:
 Audio::Ecasound::eci_command_r: p is not of type eci_handle_t
 .
 5.36:
 Audio::Ecasound::eci_command_r: Expected p to be of type eci_handle_t; got undef instead
Origin: vendor
Bug-Debian: https://bugs.debian.org/1014291
Author: gregor herrmann <gregoa@debian.org>
Last-Update: 2022-07-03
Forwarded: https://rt.cpan.org/Ticket/Display.html?id=143634
Bug: https://rt.cpan.org/Ticket/Display.html?id=143634

--- a/t/ecasound.t
+++ b/t/ecasound.t
@@ -42,7 +42,7 @@
     no warnings 'uninitialized';
     eci_command_r(undef,'status');
 };
-ok $@ => qr/not of type eci_handle_t/;
+ok $@ => qr/(not of type eci_handle_t|to be of type eci_handle_t; got undef instead)/;
 my $eh = eci_init_r();
 ok ref($eh) => 'eci_handle_t';
 eci_command_r($eh,'status'); 
